'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

// 待办事项表
const MessageSchema = {
  producerid: { type: String, required: true, maxLength: 64 }, // 生产者
  consumerid: { type: String, required: false, maxLength: 128 }, // 消费者
  type: { type: String, required: false, maxLength: 64 }, // 类别
  content: { type: String, required: false, maxLength: 64 }, // 内容
  remark: { type: String, maxLength: 128 }, // 备注
};


const schema = new Schema(MessageSchema, { toJSON: { virtuals: true } });
schema.index({ producerid: 1 });
schema.index({ consumerid: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Jobsmessage', schema, 'jobs_message');
};
