/* eslint valid-jsdoc: "off" */

'use strict';

const { jwt } = require('./config.secret');

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1571378739964_3623';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  config.errorMongo = {
    details: true,
  };
  config.errorHanler = {
    details: true,
  };

  // add your config here
  config.cluster = {
    listen: {
      port: 8103,
    },
  };

  // mongoose config
  // config.mongoose = {
  //   url: 'mongodb://127.0.0.1:27017/smart',
  //   options: {
  //     user: 'root',
  //     pass: 'Ziyouyanfa#@!',
  //     authSource: 'admin',
  //     useNewUrlParser: true,
  //     useCreateIndex: true,
  //   },
  // };
  config.mongoose = {
    url: 'mongodb://localhost:27017/smart',
    options: {
      user: 'demo',
      pass: 'demo',
      authSource: 'admin',
      useNewUrlParser: true,
      useCreateIndex: true,
      useUnifiedTopology: true,
    },
  };

  // JWT config
  config.jwt = {
    ...jwt,
    expiresIn: '1d',
    issuer: 'jobs',
  };

  return {
    ...config,
    ...userConfig,
  };
};
